Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXSURG.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXSURG.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXSURG.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXSURG ;ALB/JA,BIR/DMA,PTD-Surgery Extract for DSS ; 11/20/07 8:13am
- ;;3.0;DSS EXTRACTS;**1,11,8,13,25,24,33,39,41,42,46,50,71,84,92,99,105**;Dec 22, 1997;Build 70
+ECXSURG ;ALB/JA,BIR/DMA,PTD-Surgery Extract for DSS ; 11/2/06 9:00am
+ ;;3.0;DSS EXTRACTS;**1,11,8,13,25,24,33,39,41,42,46,50,71,84,92,99**;Dec 22, 1997;Build 2
 BEG ;entry point from option
  D SETUP I ECFILE="" Q
@@ -16,23 +16,16 @@
  N J,X,Y,PP,DATA1,DATA2,DATAOP,ARR,ERR,SUB,MOD,ECXNONL,ECXSTOP,TIMEDIF
  N ECPRO,ECXORCT,ECXPTHA,ECXNPRFI,ECXPA,ECXPAPC,ECSRPC,ECATPC,ECSAPC
- N ECXCRST,ECXSTCD,ECXCLIN
  S ECXDATE=ECD,ECXERR=0,ECXQ=""
  Q:'$$PATDEM^ECXUTL2(ECXDFN,ECXDATE,"1;2;3;5;")
  I ECXADMDT="" S ECXADD=ECXADMDT
  I ECXADMDT'="" S ECXADD=$$ECXDATE^ECXUTL(ECXADMDT,ECXYM)
- S OK=$$PAT^ECXUTL3(ECXDFN,ECXDATE,"1;5",.ECXPAT)
- I 'OK S ECXERR=1 K ECXPAT Q
- ;OEF/OIF DATA
- S ECXOEF=ECXPAT("ECXOEF")
- S ECXOEFDT=ECXPAT("ECXOEFDT")
  S EC0=^SRF(ECD0,0)
  S DATA1=$S($D(^SRF(ECD0,.1)):^(.1),1:"")
  S DATA2=$S($D(^SRF(ECD0,.2)):^(.2),1:"")
+ ;S DATAOP=$S($D(^SRF(ECD0,"OP")):^("OP"),1:"")
  S DATAOP=$S($D(^SRO(136,ECD0,0)):^(0),1:"")
  S ECNO=$G(^SRF(ECD0,"NON"))
  ;get data
  S ECSR=$P(DATA1,U,4),(ECATNPI,ECSANPI,ECSRNPI)="",ECAT=$P(DATA1,U,13)
- S ECSRNPI=$$NPI^XUSNPI("Individual_ID",ECSR,ECXDATE)
- S:+ECSRNPI'>0 ECSRNPI="" S ECSRNPI=$P(ECSRNPI,U)
  ;-Time patient in OR room (Nurse Time)
  S ECXTM=$$ECXTIME^ECXUTL($P(DATA2,U,10))
@@ -40,10 +33,6 @@
  N ECXPDIV S ECXPDIV=$$RADDIV^ECXDEPT(ECXDIV)  ;Production Division
  S ECSA=$P($G(^SRF(ECD0,.3)),U,4),ECO=$P(EC0,U,2)
- S ECSANPI=$$NPI^XUSNPI("Individual_ID",ECSA,ECXDATE)
- S:+ECSANPI'>0 ECSANPI="" S ECSANPI=$P(ECSANPI,U)
  ;get principle anesthetist and person class DBIA #103
  S ECXPA=$P($G(^SRF(ECD0,.3)),U,1)
- S ECPANPI=$$NPI^XUSNPI("Individual_ID",ECXPA,ECXDATE)
- S:+ECPANPI'>0 ECPANPI="" S ECPANPI=$P(ECPANPI,U)
  S ECXPAPC=$$PRVCLASS^ECXUTL(ECXPA,ECXDATE)
  S ECORTY=$P($G(^SRS(+ECO,2)),U),ECO=$P($G(^SRS(+ECO,0)),U)
@@ -61,8 +50,4 @@
  I $P(ECNO,U)="Y" D
  .S ECSR=$P(ECNO,U,6),ECAT=$P(ECNO,U,7)
- .S ECSRNPI=$$NPI^XUSNPI("Individual_ID",ECSR,ECXDATE)
- .S:+ECSRNPI'>0 ECSRNPI="" S ECSRNPI=$P(ECSRNPI,U)
- .S ECATNPI=$$NPI^XUSNPI("Individual_ID",ECAT,ECXDATE)
- .S:+ECATNPI'>0 ECATNPI="" S ECATNPI=$P(ECATNPI,U)
  .S ECXTM=$$ECXTIME^ECXUTL($P(ECNO,U,4))
  .S A1=$P(ECNO,U,5),A2=$P(ECNO,U,4),TIME="##" D:(A1&A2) TIME S ECNT=TIME
@@ -72,7 +57,4 @@
  .;- Get DSS Stop Code to use in encounter number
  .S ECXSTOP=$P($G(^ECX(728.44,ECXNONL,0)),U,4)
- ;
- ;- Get credit stop, stop code and clinic
- I $$SUR^ECXUTL6(.ECXCRST,.ECXSTCD,.ECXCLIN)
  ;
  ;- If surgery cancelled/aborted quit and go to next record
@@ -154,15 +136,12 @@
  S ECXENC=$$ENCNUM^ECXUTL4(ECXA,ECXSSN,ECXADMDT,ECXDATE,ECXTS,ECXOBS,ECHEAD,ECXSTOP,ECSS) Q:ECXENC=""
  ;
- ;- Get postop diagnosis codes
- I $$SURPODX^ECXUTL6(.ECXPODX,.ECXPODX1,.ECXPODX2,.ECXPODX3,.ECXPODX4,.ECXPODX5)
- ;
- D FILE^ECXSURG1
+ D FILE
  ;get secondary procedures
  ;ecode0=s^cpt code
  S ECXJ=0
+ ;F  S ECXJ=$O(^SRF(ECD0,13,ECXJ)) Q:'ECXJ  I $D(^(ECXJ,0)),$D(^(2)),$P(^(2),U)]"" D
  F  S ECXJ=$O(^SRO(136,ECD0,3,ECXJ)) Q:'ECXJ  I $D(^(ECXJ,0)),$D(^(0)),$P(^(0),"^")]"" D
  .;S ECPT=$P(^SRF(ECD0,13,ECXJ,2),U),ECXCMOD=""
- .S ECPT=$P(^SRO(136,ECD0,3,ECXJ,0),U),ECXMOD=""
- .S ECPT=$P(^(0),"^"),ECXCMOD=""
+ . S ECPT=$P(^SRO(136,ECD0,3,ECXJ,0),"^"),ECXCMOD=""
  .K ARR,ERR
  .D FIELD^DID(130.16,4,,"LABEL","ARR","ERR") I $D(ARR("LABEL")) D
@@ -174,5 +153,5 @@
  .S ECXCPT=$$CPT^ECXUTL3(ECPT,ECXCMOD)
  .S ECODE0="S"_U   ;_ECPT
- .D FILE^ECXSURG1
+ .D FILE
  ;get prostheses
  ;ecode0=i^^^^^^prosthesis^old qty field (null)
@@ -181,7 +160,55 @@
  .S ECXP=+^SRF(ECD0,1,ECXJ,0),ECXQ=$P($G(^(1)),U,2) S:'ECXQ ECXQ=1
  .S ECODE0="I"_U_U_U_U_U_U_ECXP_U_U
- .D FILE^ECXSURG1
- Q
- ;
+ .D FILE
+ Q
+ ;
+FILE ;file record
+ ;node0
+ ;division^dfn^ssn^name^in/out (ECXA)^day^case #^
+ ;surg specialty^or room #^
+ ;surgeon^attending^anesthesia supervisor^anesthesia technique^
+ ;primary/secondary/prostheses^cpt^^pt time^op time^anes time^
+ ;prostheses^qty^^
+ ;movement number^treating specialty^cancel/abort (ECCAN)^time^or type^
+ ;attending's service^non-or dss id^recovery room time^^
+ ;primary care team^primary care provider^admission date
+ ;node1
+ ;mpi^dss dept ECXDSSD^surgeon npi^attending npi^anes supervisor npi^
+ ;pc provider npi^pc prov person class^
+ ;assoc pc provider^assoc pc prov person class^assoc pc prov npi^
+ ;cpt&modifiers ECXCPT^dom ECXDOM^enrollment category ECXCAT^
+ ;enrollment status ECXSTAT^enrollment priority ECXPRIOR^
+ ;period of service ECXPOS^purple heart indicator ECXPHI^
+ ;observ pat ind ECXOBS^encounter num ECXENC^ao loc ECXAOL^
+ ;production division ECXPDIV^head & neck canc ind ECXHNCI^
+ ;ethnicity ECXETH^race1 ECXRC1^new quantity ECXQ^
+ ;^user enrollee ECXUESTA^patient type ECXPTYPE^combat vet elig
+ ;ECXCVE^combat vet elig end date ECXCVEDT^enc cv eligible ECXCVENC
+ ;or clean time ECXORCT^time pt in hold area ECXPTHA^national patient
+ ;record flag ECXNPRFI^princ anesthetist ECXPA^surgeon per class ECSRPC
+ ;node2
+ ;atten surgeon per class ECATPC^anesthesia super person class ECSAPC^
+ ;princ anesthetist PC ECXPAPC^emergency response indicator(FEMA) ECXERI^
+ ;agent orange indic ECXAO^head/neck cancer ECXHNC
+ ;
+ N DA,DIK,STR
+ S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
+ S ECODE=EC7_U_EC23_U_ECXDIV_U_ECXDFN_U_ECXSSN_U_ECXPNM_U_ECXA_U
+ S ECODE=ECODE_$$ECXDATE^ECXUTL(ECXDATE,ECXYM)_U_ECD0_U_ECSS_U_ECO_U
+ S ECODE=ECODE_ECSR_U_ECAT_U_ECSA_U_ECANE_U_ECODE0_U
+ S STR=ECXMN_U_ECXTS_U_$S(ECCAN'="":ECCAN,1:"")_U_ECXTM_U_ECORTY_U
+ S STR=STR_ECATSV_U_ECNL_U_ECRR_U_U_ECPTTM_U_ECPTPR_U_ECXADD_U
+ S $P(ECODE,U,26,38)=STR
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECSRNPI_U_ECATNPI_U_ECSANPI_U_ECPTNPI_U
+ S ECODE1=ECODE1_ECCLAS_U_ECASPR_U_ECCLAS2_U_ECASNPI_U_ECXCPT_U_ECXDOM_U
+ S ECODE1=ECODE1_ECXCAT_U_ECXSTAT_U_$S(ECXLOGIC<2005:ECXPRIOR,1:"")_U_ECXPOS_U_ECXPHI_U
+ S ECODE1=ECODE1_ECXOBS_U_ECXENC_U_ECXAOL_U_ECXPDIV_U_ECXHNCI_U
+ S ECODE1=ECODE1_ECXETH_U_ECXRC1_U_ECXQ_U
+ I ECXLOGIC>2004 S ECODE1=ECODE1_U_ECXPRIOR_ECXSBGRP_U_ECXUESTA_U_ECXPTYPE_U_ECXCVE_U_ECXCVEDT_U_ECXCVENC_U_ECXORCT_U_ECXPTHA_U_ECXNPRFI
+ I ECXLOGIC>2005 S ECODE1=ECODE1_U_ECXPA_U_ECSRPC_U,ECODE2=ECATPC_U_ECSAPC_U_ECXPAPC
+ I ECXLOGIC>2006 S ECODE2=ECODE2_U_ECXERI_U_ECXAO_U_ECXHNC
+ S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,^ECX(ECFILE,EC7,2)=ECODE2,ECRN=ECRN+1
+ S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
+ I $D(ZTQUEUED),$$S^%ZTLOAD S QFLG=1
  ;
 TIME ; given date/time get increment
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTRAC.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXTRAC.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTRAC.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXTRAC ;ALB/GTS,JAP,BIR/DMA,CML-Package Extracts for DSS ; 7/29/07 12:51pm
- ;;3.0;DSS EXTRACTS;**9,8,14,24,30,33,49,84,105**;Dec 22, 1997;Build 70
+ECXTRAC ;ALB/GTS,JAP,BIR/DMA,CML-Package Extracts for DSS ; 5/9/05 10:39am
+ ;;3.0;DSS EXTRACTS;**9,8,14,24,30,33,49,84**;Dec 22, 1997
  ;Date range, queuing and message sending for package extracts
  ;Input
@@ -184,12 +184,10 @@
 CHK2 ;iv extract check - all active iv rooms to have a division
  S EC=0
- D ALL^PSJ59P5(,"??","ECXIV")
- F  S EC=$O(^TMP($J,"ECXIV",EC)) Q:'EC  I '^(EC,19) D  I CHKFLG D EXIT Q
- .S CHKFLG=$S($G(^TMP($J,"ECXIV",EC,19)):1,$G(^(19))>DT:1,1:0)
+ F  S EC=$O(^PS(59.5,EC)) Q:'EC  I '$P(^PS(59.5,EC,0),U,4) D  Q:CHKFLG
+ .S CHKFLG=$S('$G(^PS(59.5,EC,"I")):1,$G(^PS(59.5,EC,"I"))>DT:1,1:0)
  .I CHKFLG D
  ..W !!,"All active IV Rooms in the IV Room file (#59.5) must have a ""DIVISION""",!,"assigned to run this extract!"
  ..W !!,"This information can be entered using the DSS Extract Manager's Maintenance ",!,"option ""Enter/Edit IV Room Division""."
  ..D PAUSE
-EXIT K ^TMP($J,"ECXIV")
  Q
  ;
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTREX.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXTREX.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTREX.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXTREX ;BPFO/JRP - Queue DSS Fiscal Year Specific Extract;8-AUG-2003 ; 6/11/07 12:46pm
- ;;3.0;DSS EXTRACTS;**49,71,84,92,105**;Dec 22, 1997;Build 70
+ECXTREX ;BPFO/JRP - Queue DSS Fiscal Year Specific Extract;8-AUG-2003 ; 11/2/06 9:02am
+ ;;3.0;DSS EXTRACTS;**49,71,84,92**;Dec 22, 1997;Build 30
  ;
 EN ;Main entry point
@@ -71,5 +71,5 @@
  S DIR("A")="Select fiscal year logic to use for extract"
  S DIR(0)="SO^"
- F X=2003,2004,2005,2006,2007,2008 D
+ F X=2003,2004,2005,2006,2007 D
  .S Y=$E(X,5)
  .S Y=$S((Y="")!(Y=" "):"",1:"Revision "_Y_" of ")
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTRT.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXTRT.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXTRT.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXTRT ;ALB/JAP,BIR/DMA,CML,PTD-Treating Specialty Change Extract ; 10/17/07 3:48pm
- ;;3.0;DSS EXTRACTS;**1,8,17,24,33,35,39,46,49,84,107,105**;Dec 22, 1997;Build 70
+ECXTRT ;ALB/JAP,BIR/DMA,CML,PTD-Treating Specialty Change Extract ; 04/12/2007
+ ;;3.0;DSS EXTRACTS;**1,8,17,24,33,35,39,46,49,84,107**;Dec 22, 1997;Build 9
 BEG ;entry point from option
  D SETUP I ECFILE="" Q
@@ -37,8 +37,8 @@
  ..D:ECXTRTL'=ECXTRTN PREVTRT^ECXTRT1(.LOC,ECD1,ECD2,ECXTRTL,.ECXLOS)
  ..;whether ts has changed or not, see if primary provider has changed
- ..;don't bother if there's no data on current primary provider or no change in provider
+ ..;dont bother if there's no data on current primary provider or no change in provider
  ..D:(ECXPRVN'="")&(ECXPRVN'=ECXPRVL) PREVPRV^ECXTRT1(.LOC,ECD1,ECXPRVN,ECD2,.ECXPRVL,.ECXLOSP)
  ..;whether ts has changed or not, see if attending physician has changed
- ..;don't bother if there's no data on current attending physician or no change in attending
+ ..;dont bother if theres no data on current attending physician or no change in attending
  ..D:(ECXATTN'="")&(ECXATTN'=ECXATTL) PREVATT^ECXTRT1(.LOC,ECD1,ECXATTN,ECD2,.ECXATTL,.ECXLOSA)
  ..S ECXDATE=$$ECXDATE^ECXUTL(ECXMVD1,ECXYM),ECXTIME=$$ECXTIME^ECXUTL(ECXMVD1)
@@ -47,4 +47,5 @@
  ..S ECXPDIV=""
  ..I ECXLOGIC>2003 S ECXPDIV=$S(WRD="":"",1:$$NPDIV(WRD))
+ ..S (ECXALNPI,ECXANNPI,ECXPLNPI,ECXPNNPI)=""
  ..;
  ..;- Observation patient indicator (YES/NO)
@@ -56,22 +57,14 @@
  ..;- Get providers person classes
  .. S ECXATLPC=$$PRVCLASS^ECXUTL($E(ECXATTL,2,999),ECXADT)
- .. S ECATLNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXATTL,2,999),ECXADT)
- .. S:+ECATLNPI'>0 ECATLNPI="" S ECATLNPI=$P(ECATLNPI,U)
  .. S ECXPRNPC=$$PRVCLASS^ECXUTL($E(ECXPRVN,2,999),ECXADT)
- .. S ECPRVNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXPRVN,2,999),ECXADT)
- .. S:+ECPRVNPI'>0 ECPRVNPI="" S ECPRVNPI=$P(ECPRVNPI,U)
  .. S ECXATNPC=$$PRVCLASS^ECXUTL($E(ECXATTN,2,999),ECXADT)
- .. S ECATTNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXATTN,2,999),ECXADT)
- .. S:+ECATTNPI'>0 ECATTNPI="" S ECATTNPI=$P(ECATTNPI,U)
  .. S ECXPRLPC=$$PRVCLASS^ECXUTL($E(ECXPRVL,2,999),ECXADT)
- .. S ECPRLNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXPRVL,2,999),ECXADT)
- .. S:+ECPRLNPI'>0 ECPRLNPI="" S ECPRLNPI=$P(ECPRLNPI,U)
  ..;
  ..;- If no encounter number, don't file record
  ..S ECXENC=$$ENCNUM^ECXUTL4(ECXA,ECXSSN,ECXADT,,ECXTS,ECXOBS,ECHEAD,,)
- ..D:ECXENC'="" FILE^ECXTRT2
+ ..D:ECXENC'="" FILE
  ;for nhcu episodes with intervening asih stays, the los calculated here is not accurate,
  ;but it never has been; this is best solution within current extract framework;
- ;at discharge the los calculated for nhcu episodes will be the los since admission w/o asih los subtracted;
+ ;at discharge the los calculated for nhcu apisodes will be the los since admission w/o asih los subtracted;
  ;
  ;loop through discharges to get last treating specialty
@@ -109,4 +102,5 @@
  ..S ECXPDIV=""
  ..I ECXLOGIC>2003 S ECXPDIV=$S(WRD="":"",1:$$NPDIV(WRD))
+ ..S (ECXALNPI,ECXANNPI,ECXPLNPI,ECXPNNPI)=""
  ..;
  ..;- Observation patient indicator (YES/NO)
@@ -118,19 +112,11 @@
  ..;- Get providers person classes
  .. S ECXATLPC=$$PRVCLASS^ECXUTL($E(ECXATTL,2,999),ECXADT)
- .. S ECATLNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXATTL,2,999),ECXADT)
- .. S:+ECATLNPI'>0 ECATLNPI="" S ECATLNPI=$P(ECATLNPI,U)
  .. S ECXPRNPC=$$PRVCLASS^ECXUTL($E(ECXPRVN,2,999),ECXADT)
- .. S ECPRVNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXPRVN,2,999),ECXADT)
- .. S:+ECPRVNPI'>0 ECPRVNPI="" S ECPRVNPI=$P(ECPRVNPI,U)
  .. S ECXATNPC=$$PRVCLASS^ECXUTL($E(ECXATTN,2,999),ECXADT)
- .. S ECATTNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXATTN,2,999),ECXADT)
- .. S:+ECATTNPI'>0 ECATTNPI="" S ECATTNPI=$P(ECATTNPI,U)
  .. S ECXPRLPC=$$PRVCLASS^ECXUTL($E(ECXPRVL,2,999),ECXADT)
- .. S ECPRLNPI=$$NPI^XUSNPI("Individual_ID",$E(ECXPRVL,2,999),ECXADT)
- .. S:+ECPRLNPI'>0 ECPRLNPI="" S ECPRLNPI=$P(ECPRLNPI,U)
  ..;
  ..;- If no encounter number don't file record
  ..S ECXENC=$$ENCNUM^ECXUTL4(ECXA,ECXSSN,ECXADT,,ECXTS,ECXOBS,ECHEAD,,)
- ..D:ECXENC'="" FILE^ECXTRT2
+ ..D:ECXENC'="" FILE
  D KPATDEM^ECXUTL2
  Q
@@ -178,4 +164,36 @@
  Q
  ;
+FILE ;file the extract record
+ ;node0
+ ;^dfn^ssn^name^i/o (ECXA)^date^product^adm date^d/c date^
+ ;mov#^type^new ts^losing ts^losing ts los^
+ ;losing attending^movement type^time^adm time^new provider^
+ ;new attending^losing provider
+ ;node1
+ ;mpi^dss dept^losing attending npi^new provider npi^new attending npi^
+ ;losing provider npi^losing attending los^losing provider los^dom^
+ ;observ pat ind^encounter num
+ ;
+ ;convert specialties to PTF Codes for transmission
+ ;
+ N ECXDATA
+ S ECXDATA=$$TSDATA^DGACT(42.4,+ECXSPCN,.ECXDATA)
+ S ECXSPCN=$G(ECXDATA(7))
+ S ECXDATA=$$TSDATA^DGACT(42.4,+ECXSPCL,.ECXDATA)
+ S ECXSPCL=$G(ECXDATA(7))
+ ;done
+ S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
+ S ECODE=EC7_U_EC23_U_U_ECXDFN_U_ECXSSN_U_ECXPNM_U_ECXA_U_ECXDATE_U_U
+ S ECODE=ECODE_ECXADMDT_U_ECXDCDT_U_ECDA_U_6_U_ECXSPCN_U_ECXSPCL_U
+ S ECODE=ECODE_ECXLOS_U_ECXATTL_U_ECMT_U_ECXTIME_U_ECXADMTM_U_ECXPRVN_U
+ S ECODE=ECODE_ECXATTN_U_ECXPRVL_U
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECXALNPI_U_ECXPNNPI_U_ECXANNPI_U_ECXPLNPI_U
+ S ECODE1=ECODE1_ECXLOSA_U_ECXLOSP_U_ECXDOM_U_ECXOBS_U_ECXENC_U_ECXPDIV
+ I ECXLOGIC>2005 S ECODE1=ECODE1_U_ECXATLPC_U_ECXPRNPC_U_ECXATNPC_U_ECXPRLPC
+ S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1,ECRN=ECRN+1
+ S DA=EC7,DIK="^ECX("_ECFILE_"," D IX1^DIK K DIK,DA
+ I $D(ZTQUEUED),$$S^%ZTLOAD S QFLG=1
+ Q
+ ;
 SETUP ;Set required input for ECXTRAC
  S ECHEAD="TRT"
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUD.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUD.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUD.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUD ;ALB/JAP,BIR/DMA,PTD-Extract from UNIT DOSE EXTRACT DATA File (#728.904) ; 10/31/07 1:58pm
- ;;3.0;DSS EXTRACTS;**10,8,24,33,39,46,49,71,84,92,107,105**;Dec 22, 1997;Build 70
+ECXUD ;ALB/JAP,BIR/DMA,PTD-Extract from UNIT DOSE EXTRACT DATA File (#728.904) ;4/19/2007
+ ;;3.0;DSS EXTRACTS;**10,8,24,33,39,46,49,71,84,92,107**;Dec 22, 1997;Build 9
 BEG ;entry point from option
  I '$O(^ECX(728.904,"A",0)) W !,"There are no unit dose orders to extract",!! R X:5 K X Q
@@ -24,8 +24,6 @@
  Q:ECXERR
  ;
- S ECXPRO=$P(DATA,U,7),ECPROIEN=+ECXPRO,ECXPRO=$E($P(ECXPRO,";",2))_$P(ECXPRO,";")
- S ECXPRNPI=$$NPI^XUSNPI("Individual_ID",ECPROIEN,ECD)
- S:+ECXPRNPI'>0 ECXPRNPI="" S ECXPRNPI=$P(ECXPRNPI,U)
- S W=$P(DATA,U,6)
+ S ECXPRO=$P(DATA,U,7),ECXPRO=$E($P(ECXPRO,";",2))_$P(ECXPRO,";")
+ S ECXPRNPI="",W=$P(DATA,U,6)
  S ECXDIV=$P($G(^DIC(42,+W,0)),U,11),ECXW=$P($G(^DIC(42,+W,44)),U)
  S ECXUDDT=$$ECXDATE^ECXUTL($P(DATA,U,3),ECXYM)
@@ -65,5 +63,5 @@
 PAT(ECXDFN,ECXDATE,ECXERR) ;get demographics from patient file
  ;init variables
- S (ECXCAT,ECXSTAT,ECXPRIOR,ECXSBGRP,ECXOEF,ECXOEFDT)=""
+ S (ECXCAT,ECXSTAT,ECXPRIOR,ECXSBGRP)=""
  ;get patient data if saved
  I $D(^TMP($J,"ECXP",ECXDFN)) D
@@ -78,5 +76,5 @@
  .S ECXSTAT=$P(PT,U,22),ECXPRIOR=$P(PT,U,23),ECXHNCI=$P(PT,U,24)
  .S ECXETH=$P(PT,U,25),ECXRC1=$P(PT,U,26),ECXMTST=$P(PT,U,27)
- .S PT1=$G(^TMP($J,"ECXP",ECXDFN,1)),ECXERI=$P(PT1,U),ECXEST=$P(PT1,U,2),ECXOEF=$P(PT1,U,3),ECXOEFDT=$P(PT1,U,4)
+ .S PT1=$G(^TMP($J,"ECXP",ECXDFN,1)),ECXERI=$P(PT1,U),ECXEST=$P(PT1,U,2)
  .I $$ENROLLM^ECXUTL2(ECXDFN)
  ;set patient data
@@ -93,7 +91,4 @@
  .S ECXPHI=ECXPAT("PHI"),ECXMST=ECXPAT("MST STAT")
  .S ECXENRL=ECXPAT("ENROLL LOC"),ECXMTST=ECXPAT("MEANS")
- .;OEF/OIF data
- .S ECXOEF=ECXPAT("ECXOEF")
- .S ECXOEFDT=ECXPAT("ECXOEFDT")
  .;get CNHU status
  .S ECXCNHU=$$CNHSTAT^ECXUTL4(ECXDFN)
@@ -111,5 +106,5 @@
  .S ^TMP($J,"ECXP",ECXDFN)=ECXPNM_U_ECXSSN_U_ECXMPI_U_ECXDOB_U_ECXELIG_U_ECXSEX_U_ECXSTATE_U_ECXCNTY_U_ECXZIP_U_ECXVET_U_ECXPOS_U_ECXPST_U_ECXPLOC_U_ECXRST_U_ECXAST
  .S ^TMP($J,"ECXP",ECXDFN)=^TMP($J,"ECXP",ECXDFN)_U_ECXAOL_U_ECXPHI_U_ECXMST_U_ECXENRL_U_ECXCNHU_U_ECXCAT_U_ECXSTAT_U_ECXPRIOR_U_ECXHNCI_U_ECXETH_U_ECXRC1_U_ECXMTST
- .S ^TMP($J,"ECXP",ECXDFN,1)=ECXERI_U_ECXEST_U_ECXOEF_U_ECXOEFDT
+ .S ^TMP($J,"ECXP",ECXDFN,1)=ECXERI_U_ECXEST
  ;
  ;get inpatient data
@@ -144,5 +139,5 @@
  ;elig ECXCVE^combat vet elig end date ECXCVEDT^enc cv eligible
  ;ECXCVENC^national patient record flag ECXNPRFI^emerg resp indic(FEMA) 
- ;ECXERI^environ contamin ECXEST^OEF/OIF ECXOEF^OEF/OIF return date ECXOEFDT^associate pc provider npi ECASNPI^primary care provider npi ECPTNPI^provider npi ECXPRNPI
+ ;ECXERI^environ contamin ECXEST
  N DA,DIK
  S EC7=$O(^ECX(ECFILE,999999999),-1),EC7=EC7+1
@@ -157,5 +152,5 @@
  S ECODE=ECODE_$$ECXDATE^ECXUTL(ECXADM,ECXYM)_U
  S ECODE=ECODE_$$ECXTIME^ECXUTL(ECXADM)_U
- S ECODE1=ECXMPI_U_ECXDSSD_U_U_ECXDOM_U_ECXOBS_U_ECXENC_U
+ S ECODE1=ECXMPI_U_ECXDSSD_U_ECXPRNPI_U_ECXDOM_U_ECXOBS_U_ECXENC_U
  S ECODE1=ECODE1_ECXPDIV_U_ECXMTST_U_ECXELIG_U_ECXDOB_U_ECXSEX_U
  S ECODE1=ECODE1_ECXSTATE_U_ECXCNTY_U_ECXZIP_U_ECXVET_U_ECXPOS_U
@@ -163,10 +158,9 @@
  S ECODE1=ECODE1_ECXAOL_U_ECXPHI_U_ECXMST_U_ECXCNHU_U_ECXENRL_U
  S ECODE1=ECODE1_ECXCAT_U_ECXSTAT_U_$S(ECXLOGIC<2005:ECXPRIOR,1:"")_U_ECPTTM_U_ECPTPR_U
- S ECODE1=ECODE1_U_ECCLAS_U_ECASPR_U_U_ECCLAS2_U
+ S ECODE1=ECODE1_ECPTNPI_U_ECCLAS_U_ECASPR_U_ECASNPI_U_ECCLAS2_U
  S ECODE2=ECXORDDT_U_ECXORDST_U_ECXHNCI_U_ECXETH_U_ECXRC1
  I ECXLOGIC>2003 S ECODE2=ECODE2_U_ECXBCDD_U_ECXBCDG_U_ECXBCUA_U_ECXBCIF_U_ECXOPPC
  I ECXLOGIC>2004 S ECODE2=ECODE2_U_U_ECXPRIOR_ECXSBGRP_U_ECXUESTA_U_ECXPTYPE_U_ECXCVE_U_ECXCVEDT_U_ECXCVENC_U_ECXNPRFI
  I ECXLOGIC>2006 S ECODE2=ECODE2_U_ECXERI_U_ECXEST
- I ECXLOGIC>2007 S ECODE2=ECODE2_U_ECXOEF_U_ECXOEFDT_U_ECASNPI_U_ECPTNPI_U_ECXPRNPI
  S ^ECX(ECFILE,EC7,0)=ECODE,^ECX(ECFILE,EC7,1)=ECODE1
  S ^ECX(ECFILE,EC7,2)=ECODE2,ECRN=ECRN+1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUPRO.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUPRO.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUPRO.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUPRO ;ALB/TJL-Prosthetic Extract Unusual Cost Report ; 1/08/08 1:00pm
- ;;3.0;DSS EXTRACTS;**49,111**;July 1, 2003;Build 4
+ECXUPRO ;ALB/TJL-Prosthetic Extract Unusual Cost Report ; 7/1/03 1:00pm
+ ;;3.0;DSS EXTRACTS;**49**;July 1, 2003
  ;
 EN ; entry point
@@ -77,5 +77,5 @@
  ;
 PRINT ; process temp file and print report
- N PG,QFLG,GTOT,LN,COUNT,FKEY,COST,SSN,REC,SDAY
+ N PG,QFLG,GTOT,LN,COUNT,FKEY,COST,SSN,REC
  U IO
  I $D(ZTQUEUED),$$S^%ZTLOAD S ZTSTOP=1 K ZTREQ Q
@@ -85,9 +85,8 @@
  F  S FKEY=$O(^TMP($J,FKEY)) Q:FKEY=""!QFLG  D
  .S COST="" F  S COST=$O(^TMP($J,FKEY,COST)) Q:COST=""!QFLG  D
- .. S SDAY="" F  S SDAY=$O(^TMP($J,FKEY,COST,SDAY)) Q:SDAY=""!QFLG  D
- ...S SSN="" F  S SSN=$O(^TMP($J,FKEY,COST,SDAY,SSN)) Q:SSN=""!QFLG  S REC=^(SSN)  D
- ....S COUNT=COUNT+1
- ....I $Y+3>IOSL D HEADER Q:QFLG
- ....W !,$P(REC,U),?8,$P(REC,U,2),?21,$P(REC,U,3),?39,$P(REC,U,4),?70,$P(REC,U,5),?93,$$RJ^XLFSTR($P(REC,U,6),8),?110,$$RJ^XLFSTR($P(REC,U,7),11)
+ ..S SSN="" F  S SSN=$O(^TMP($J,FKEY,COST,SSN)) Q:SSN=""!QFLG  S REC=^(SSN)  D
+ ...S COUNT=COUNT+1
+ ...I $Y+3>IOSL D HEADER Q:QFLG
+ ...W !,$P(REC,U),?8,$P(REC,U,2),?21,$P(REC,U,3),?39,$P(REC,U,4),?70,$P(REC,U,5),?93,$$RJ^XLFSTR($P(REC,U,6),8),?110,$$RJ^XLFSTR($P(REC,U,7),11)
  Q:QFLG
  I COUNT=0 W !!,?8,"No unusual costs to report for this extract"
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUPRO1.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUPRO1.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUPRO1.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUPRO1 ;ALB/TJL-Prosthetics Extract Unusual Cost Report; 01/08/08 2:49pm
- ;;3.0;DSS EXTRACTS;**49,111**;Jul 2, 2003;Build 4
+ECXUPRO1 ;ALB/TJL-Prosthetics Extract Unusual Cost Report; 7/2/03 2:49pm
+ ;;3.0;DSS EXTRACTS;**49**;Jul 2, 2003
  ;
 EN ; entry point
@@ -48,5 +48,5 @@
  S:(+PROQTY=0) PROQTY=1
  S PROQTY=$$RJ^XLFSTR(PROQTY,8,0)
- S ^TMP($J,ECXFEKEY,-PROQTY,SUBDA,PROSSN)=PRONAME_U_PROSSN_U_PRODAY_U_ECXHCPCS_U_ECXFEKEY_U_PROQTY_U_"$"_$FNUMBER(PROCOST,",",2)
+ S ^TMP($J,ECXFEKEY,-PROQTY,PROSSN)=PRONAME_U_PROSSN_U_PRODAY_U_ECXHCPCS_U_ECXFEKEY_U_PROQTY_U_"$"_$FNUMBER(PROCOST,",",2)
  S COUNT=COUNT+1
  I COUNT#100=0 I $$S^ZTLOAD S (ZSTOP,ECXERR)=1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUSUR.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUSUR.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUSUR.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUSUR ;ALB/TJL-Surgery Extract Unusual Volume Report ; 9/4/07 8:19am
- ;;3.0;DSS EXTRACTS;**49,71,84,93,105**;July 1, 2003;Build 70
+ECXUSUR ;ALB/TJL-Surgery Extract Unusual Volume Report ; 4/11/06 10:44AM
+ ;;3.0;DSS EXTRACTS;**49,71,84,93**;July 1, 2003
  ;
 EN ; entry point
@@ -89,10 +89,9 @@
  ..S COUNT=COUNT+1
  ..I $Y+3>IOSL D HEADER Q:QFLG
- ..W !,?1,$P(REC,U),?7,$P(REC,U,2),?18,$P(REC,U,3),?27,$P(REC,U,4)
- ..W ?34,$P(REC,U,5),?55,$$RJ^XLFSTR($P(REC,U,7),4)
- ..W ?66,$$RJ^XLFSTR($P(REC,U,11),4),?77,$$RJ^XLFSTR($P(REC,U,9),4)
- ..W ?86,$$RJ^XLFSTR($P(REC,U,10),4),?93,$$RJ^XLFSTR($P(REC,U,6),4)
- ..W ?103,$$RJ^XLFSTR($P(REC,U,8),4),?113,$P(REC,U,14)
- ..W ?117,$P(REC,U,13)
+ ..W !,$P(REC,U),?6,$P(REC,U,2),?17,$P(REC,U,3),?26,$P(REC,U,4)
+ ..W ?33,$P(REC,U,5),?55,$$RJ^XLFSTR($P(REC,U,9),4)
+ ..W ?63,$$RJ^XLFSTR($P(REC,U,10),4),?74,$$RJ^XLFSTR($P(REC,U,11),4)
+ ..W ?83,$$RJ^XLFSTR($P(REC,U,6),4),?90,$$RJ^XLFSTR($P(REC,U,8),4)
+ ..W ?101,$$RJ^XLFSTR($P(REC,U,7),4),?114,$P(REC,U,13)
  Q:QFLG
  I COUNT=0 W !!,?8,$S(ECXFLAG=1:"No surgery volumes to report for this extract",1:"No unusual volumes to report for this extract")
@@ -113,8 +112,8 @@
  W !,"Start Date: ",ECSTART,?97,"Report Run Date/Time: "_ECRUN
  W !,"  End Date: ",ECEND I 'ECXFLAG W ?97,"     Threshold Value: ",ECTHLD
- W !!,?28,"Case",?38,"Encounter",?52,"Pt Holding",?63,"Anesthesia",?75,"Patient",?83,"Operation",?93,"PACU",?101,"OR Clean",?111,"Canc/",?121,"Principal"
- W !,?1,"Name",?10,"SSN",?20,"Day",?27,"Number",?40,"Number"
- W ?54,"Time",?66,"Time",?77,"Time",?86,"Time",?93,"Time",?103,"Time"
- W ?111,"Abort",?121,"Procedure"
+ W !!,?27,"Case",?37,"Encounter",?53,"Patient",?61,"Operation",?71,"Anesthesia",?83,"PACU",?89,"OR Clean",?99,"Pt Holding",?114,"Principal"
+ W !,"Name",?9,"SSN",?19,"Day",?26,"Number",?39,"Number"
+ W ?55,"Time",?63,"Time",?74,"Time",?83,"Time",?90,"Time",?101,"Time"
+ W ?114,"Procedure"
  W !,LN,!
  Q
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUSUR1.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUSUR1.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUSUR1.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUSUR1 ;ALB/TJL-Surgery Extract Unusual Volume Report ; 1/8/08 9:58am
- ;;3.0;DSS EXTRACTS;**49,71,105,111**;July 1, 2003;Build 4
+ECXUSUR1 ;ALB/TJL-Surgery Extract Unusual Volume Report ; 12/1/04 4:48pm
+ ;;3.0;DSS EXTRACTS;**49,71**;July 1, 2003
 EN ;
  N ECHEAD,COUNT,TIMEDIF,ECXPROC
@@ -62,9 +62,5 @@
  S ECODE0=TIME_U_ECODE0 K TIME
  ;
- I ECNL]"" S $P(ECODE0,U,2)=ECNT
- ;
- ;- Was surgery cancelled/aborted
- S ECCAN=$P($G(^SRF(ECD0,30)),U)
- I +ECCAN S ECCAN=$$CANC^ECXUTL4(ECNL,$P(DATA2,U,10))
+ I ECNL]"" S $P(ECODE0,U,5)=ECNT
  ;
  I ECXFLAG D FILE  Q
@@ -74,5 +70,4 @@
  . I $P(ECODE0,U,PIECE)>ECTHLD S FILE="YES"
  . I $P(ECODE0,U,PIECE)<0 S FILE="YES"
- ;
  I FILE="YES" D FILE Q:ECXERR
  Q
@@ -95,8 +90,8 @@
  S ECXENC=$$ENCNUM^ECXUTL4(ECXA,ECXSSN,ECXADMDT,ECXDATE,ECXTS,ECXOBS,ECHEAD,ECXSTOP,ECSS) Q:ECXENC=""
  ;
- S VOL=$P(ECODE0,U)
- I $P(ECODE0,U,2)>VOL S VOL=$P(ECODE0,U,2)
- I $P(ECODE0,U,3)>VOL S VOL=$P(ECODE0,U,3)
- S ^TMP($J,-VOL,-ECD0)=SURNAME_U_SURSSN_U_SURDT_U_ECD0_U_ECXENC_U_ECODE0_U_ECXPROC_U_ECCAN
+ S VOL=$P(ECODE0,U,4)
+ I $P(ECODE0,U,5)>VOL S VOL=$P(ECODE0,U,5)
+ I $P(ECODE0,U,6)>VOL S VOL=$P(ECODE0,U,6)
+ S ^TMP($J,-VOL,-ECD0)=SURNAME_U_SURSSN_U_SURDT_U_ECD0_U_ECXENC_U_ECODE0_U_ECXPROC
  S COUNT=COUNT+1
  I COUNT#100=0 I $$S^ZTLOAD S (ZSTOP,ECXERR)=1
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL2.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUTL2.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL2.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUTL2 ;ALB/JAP - Utilities for DSS Extracts (cont.) ; 6/12/07 6:38am
- ;;3.0;DSS EXTRACTS;**8,13,23,24,33,35,39,46,71,84,92,105**;Dec 22, 1997;Build 70
+ECXUTL2 ;ALB/JAP - Utilities for DSS Extracts (cont.) ; 11/2/06 9:03am
+ ;;3.0;DSS EXTRACTS;**8,13,23,24,33,35,39,46,71,84,92**;Dec 22, 1997;Build 30
  ;
 ECXDEF(ECXHEAD,ECXPACK,ECXGRP,ECXFILE,ECXRTN,ECXPIECE,ECXVER) ;variables specific to extract from file #727.1
@@ -13,4 +13,5 @@
  ;   ECXPIECE= running piece field (#11)
  ;   ECXVER  = dss version
+ ;
  N ECXIEN,ECXARR,DIC,DA,DR,DIQ
  S (ECXPACK,ECXGRP,ECXFILE,ECXRTN,ECXPIECE,ECXVER)="",ECXIEN=0
@@ -49,4 +50,5 @@
  S ECXVER=7
  Q
+ ;
 PATDEM(DFN,DT1,PAR,FLG) ; determine patient information
  ;  DFN   =
@@ -76,5 +78,4 @@
  .S ECXEST=PAT("EC STAT"),ECXPST=PAT("POW STAT"),ECXPLOC=PAT("POW LOC")
  .S ECXPHI=PAT("PHI"),ECXMST=PAT("MST STAT"),ECXAOL=PAT("AOL")
- .S ECXOEF=PAT("ECXOEF"),ECXOEFDT=PAT("ECXOEFDT")
  I PAR["6" D
  .S (ECXPAYOR,ECXSAI)="" D VISN19(DFN,.ECXPAYOR,.ECXSAI)
@@ -97,4 +98,5 @@
  K ECXSBGRP
  Q
+ ;
 ENROLLM(DFN,RNDT) ;determines enrollment status, category, priority
  ;and user enrollee status
@@ -109,4 +111,5 @@
  ;    ECXUESTA = User enrollee
  ;    return value 0 if no data found, 1 if data found
+ ;
  N CAT,PRIOR,STAT,X,X1,X2,X3,ENRIEN,ENR,FL,SBGRP
  S (ECXCAT,ECXPRIOR,ECXSTAT,ECXSBGRP,ECXEUSTA)=""
@@ -139,4 +142,5 @@
  S ECXSTAT=STAT,ECXPRIOR=PRIOR,ECXCAT=CAT,ECXSBGRP=$S(SBGRP=1:"a",SBGRP=3:"c",SBGRP=5:"e",SBGRP=7:"g",1:"")
  Q 1
+ ;
 PRIMARY(ECXDFN,ECXDATE,ECXPREFX) ;determine patient's pc team and pc provider
  ; input
@@ -146,7 +150,7 @@
  ;             defaults to "2" if not specified otherwise
  ; output
- ; ECXPRIME  = pc team ien^prefix_pc provider ien^pc provider person
- ;class^pc provider npi^prefix_assoc pc provider ien^assoc pc provider
- ;person class^assoc pc provider npi
+ ; ECXPRIME  = pc team ien^prefix_pc provider ien^pc provider person class^pc provider npi
+ ;             ^prefix_assoc pc provider ien^assoc pc provider person class^assoc pc provider npi
+ ;
  N ECPTTM,ECPTPR,ECCLAS,ECPRIME,ECASPR,ECCLAS2
  S:'$D(ECXPREFX) ECXPREFX=2 S:(+ECXPREFX=0) ECXPREFX=2
@@ -156,7 +160,6 @@
  S ECPTPR=+$$OUTPTPR^SDUTL3(ECXDFN,ECXDATE)
  S ECCLAS="" I ECPTPR>0 S ECCLAS=$$PRVCLASS^ECXUTL(ECPTPR,ECXDATE)
- N ECXUSRTN S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",ECPTPR,ECXDATE)
- S:+ECXUSRTN'>0 ECXUSRTN="" S ECPTNPI=$P(ECXUSRTN,U)
  S:ECPTPR=0 ECPTPR="" S:ECPTPR]"" ECPTPR=ECXPREFX_ECPTPR
+ S ECPTNPI=""
  ;assoc pc provider call ok if routine scapmca from patch177 is present
  S ECASPR=""
@@ -164,10 +167,10 @@
  .S ECASPR=+$$OUTPTAP^SDUTL3(ECXDFN,ECXDATE)
  S ECCLAS2="" I ECASPR>0 S ECCLAS2=$$PRVCLASS^ECXUTL(ECASPR,ECXDATE)
- N ECXUSRTN S ECXUSRTN=$$NPI^XUSNPI("Individual_ID",ECASPR,ECXDATE)
- S:+ECXUSRTN'>0 ECXUSRTN="" S ECASNPI=$P(ECXUSRTN,U)
  S:ECASPR=0 ECASPR="" S:ECASPR]"" ECASPR=ECXPREFX_ECASPR
+ S ECASNPI=""
  ;assemble
  S ECXPRIME=ECPTTM_U_ECPTPR_U_ECCLAS_U_ECPTNPI_U_ECASPR_U_ECCLAS2_U_ECASNPI
  Q ECXPRIME
+ ;
 INP(ECXDFN,ECXDATE) ; check for inpatient status
  ; input
@@ -182,4 +185,5 @@
  ;           where patient status = I for inpatient
  ;                                = O for outpatient
+ ;
  N DFN,DSSDEPT,ECA,ECADM,ECMN,ECTS,ECWARD,ECDC,ECXINP,ECXPRO
  N ECXATP,ECXDD,ECXDOM,ECXPROF,ECXPWP,ECXWW,FAC,VAIP,WRD,ECXPWPPC
@@ -187,4 +191,5 @@
  D FIELD^DID(405,.19,,"SPECIFIER","ECXDD")
  S ECXPROF=$E(+$P(ECXDD("SPECIFIER"),"P",2)) K ECXDD
+ ;
  ;- Inpat/outpat indicator (ECA) initially set to "O" (outpatient)
  S DFN=ECXDFN,ECA="O"
@@ -194,4 +199,5 @@
  I ECMN D
  .S ECTS=+$P($G(^DIC(45.7,+VAIP(8),0)),U,2) S:ECTS=0 ECTS=""
+ .;
  .;- Get inpat/outpat indicator
  .S ECA=$$INOUTP^ECXUTL4(ECTS)
@@ -212,7 +218,9 @@
  S ECXINP=ECA_U_ECMN_U_ECTS_U_ECADM_U_ECWARD_U_ECDC_U_ECXPWP_U_ECXATP_U_ECXWW_U_ECXDOM_U_ECXPWPPC_U_ECXATPPC
  Q ECXINP
+ ;
 VISN19(ECXDFN,ECXPAYOR,ECXSAI) ;visn 19 sharing agreement data
  ; input  ECXDFN = patient file ien
  ; output ECXPAYOR, ECXSAI (passed by reference)
+ ;
  N JJ,ALIAS,INSUR,DIC,DIQ,DA,DR,ECXARY,ECXERR,ECXDA
  S (ECXPAYOR,ECXSAI)=""
@@ -226,4 +234,5 @@
  ;K ECXARY,ECXERR
  I ECXPAYOR]"" D GETS^DIQ(2,ECXDFN,".3121*,","I","ECXARY","ECXERR") D
+ . W !,"This is a test"
  . I $D(ECXERR) Q
  . S JJ=0,ECXDA=$O(ECXARY(2.312,JJ)) I ECXDA="" Q
Index: FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL3.m
===================================================================
--- FOIAVistA/trunk/r/DSS_EXTRACTS-ECX/ECXUTL3.m	(revision 631)
+++ FOIAVistA/tag/r/DSS_EXTRACTS-ECX/ECXUTL3.m	(revision 636)
@@ -1,4 +1,4 @@
-ECXUTL3 ;ALB/GTS - Utilities for DSS Extracts ; 9/28/07 1:38pm
- ;;3.0;DSS EXTRACTS;**11,24,32,33,35,37,39,42,46,92,105**;Dec 22,1997;Build 70
+ECXUTL3 ;ALB/GTS - Utilities for DSS Extracts ; 11/2/06 9:07am
+ ;;3.0;DSS EXTRACTS;**11,24,32,33,35,37,39,42,46,92**;Dec 22,1997;Build 30
  ;
 OUTPTTM(ECXDFN,ECXDT) ;* Return PC Team from PCMM files or DPT
@@ -69,7 +69,5 @@
  I ECXDFN="" Q 0
  S SSN=$$GET1^DIQ(2,ECXDFN,.09,"I"),DFN=ECXDFN,ECXPAT=0
- I $E(SSN,1,3)="000"!(SSN="") K ECXPAT Q 0  ;test patient
- ;test patient extended checks; mtl extract excluded
- I $G(ECHEAD)'="MTL",'$$SSN^ECXUTL5(SSN) K ECXPAT Q 0
+ I $E(SSN,1,5)="00000"!(SSN="") K ECXPAT Q 0  ;test patient
  S STR="NAME;SSN;DOB;SEX;RACE;RELIGION;STATE;COUNTY;ZIP;SC%;MEANS;ELIG;"
  S STR=STR_"EMPLOY;AO STAT;IR STAT;EC STAT;POW STAT;POW LOC;MST STAT;"
@@ -149,7 +147,4 @@
  . ;- Agent Orange Location (K=Korean DMZ,V=Vietnam)
  . S ECXPAT("AOL")=$P($G(VASV(2,5)),U)
- . ;get patient OEF/OIF status and date of return
- . D OEFDATA^ECXUTL4
- . ;
  . ;get patient current MST status
  . I ECXDATE'="",ECXDATE'["." S ECXDATE=ECXDATE+.9
